LineNumberDisplay Class Reference

A QTextEdit displaying line numbers. More...

`#include <LineNumberDisplay.h>`

Inheritance diagram for LineNumberDisplay:

## Public Slots

void | updateDocumentSelection ()
void | updateLineNumbers (bool force=false)

## Public Member Functions

| LineNumberDisplay (QTextEdit *te, QWidget *parent=0)
| Constructor. More...

## Private Slots

void | changeCharFormat (const QTextCharFormat &)

## Private Member Functions

void | showEvent (QShowEvent *)

## Private Attributes

QTextEdit * | d_text_edit

## Detailed Description

A QTextEdit displaying line numbers.

It must be used in connection with another "source" QTextEdit.

## Constructor & Destructor Documentation

## LineNumberDisplay()

LineNumberDisplay::LineNumberDisplay | ( | QTextEdit * | te,
|  | QWidget * | parent = `0`
| ) |  |

Constructor.

Parameters

  te | the "source" QTextEdit for which we want to display the line numbers
  parent | parent widget (only affects placement of the dialog)

References changeCharFormat(), updateDocumentSelection(), and updateLineNumbers().

## Member Function Documentation

## changeCharFormat

void LineNumberDisplay::changeCharFormat | ( | const QTextCharFormat & | f | ) |

private slot

Referenced by LineNumberDisplay().

## showEvent()

void LineNumberDisplay::showEvent | ( | QShowEvent * | e | ) |

private

References updateLineNumbers().

## updateDocumentSelection

void LineNumberDisplay::updateDocumentSelection | ( |  | ) |

slot

References d_text_edit.

Referenced by LineNumberDisplay().

## updateLineNumbers

void LineNumberDisplay::updateLineNumbers | ( | bool | force = `false` | ) |

slot

References d_text_edit.

Referenced by LineNumberDisplay(), Note::setFont(), showEvent(), and ScriptWindow::showLineNumbers().

## Member Data Documentation

## d_text_edit

QTextEdit* LineNumberDisplay::d_text_edit

private

Referenced by updateDocumentSelection(), and updateLineNumbers().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/LineNumberDisplay.h
- qtiplot/src/lib/src/LineNumberDisplay.cpp